# $Revision: 1.11.2.3 $, $Date: 2003/09/08 21:45:58 $
Summary:	Library for parsing EXIF files from digital cameras
Summary(pl):	Biblioteka do czytania plikw EXIF z kamer cyfrowych
Name:		libexif
Version:	0.5.3
Release:	3
Epoch:		1
License:	MIT
Group:		Libraries
Source0:	http://dl.sourceforge.net/libexif/%{name}-%{version}.tar.bz2
# Source0-md5:	70f449b70fab2de9644ff04b963e7470
Patch0:		%{name}-po.patch
URL:		http://libexif.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libexif7

%description
Most digital cameras produce EXIF files, which are JPEG files with extra
tags that contain information about the image. The EXIF library allows
you to parse an EXIF file and read the data from those tags.

%description -l pl
Wikszo kamer cyfrowych tworzy pliki EXIF, ktre s JPEGami z
dodatkowymi znacznikami zawierajcymi informacje o obrazie. Biblioteka
EXIF pozwala czyta informacje z tych znacznikw.

%package devel
Summary:	Header files for libexif
Summary(pl):	Pliki nagwkowe dla libexif
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libexif7-devel

%description devel
Header files for libexif.

%description devel -l pl
Pliki nagwkowe dla libexif.

%package static
Summary:	Static version of libexif
Summary(pl):	Statyczna wersja libexif
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description static
Static version of libexif.

%description static -l pl
Statyczna wersja libexif.

%prep
%setup -q
%patch -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/%{name}
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libexif.spec,v $
Revision 1.11.2.3  2003/09/08 21:45:58  ankry
- added -po patch; rel. 3

Revision 1.11.2.2  2003/09/08 20:39:16  ankry
- md5, fixed URL

Revision 1.11.2.1  2003/07/11 12:01:41  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.11  2002/08/18 21:11:22  mkochano
- Release 2 to workaround bug in rpm.

Revision 1.10  2002/08/18 11:14:39  blues
- license fix

Revision 1.9  2002/08/17 16:55:19  kloczek
- back to 0.5.3 (Epoch: 1).

Revision 1.8  2002/08/12 07:19:43  kloczek
- updated to 0.5.4,
- added libexif7{,-devel} to Obsoletes for allow upgrade from MDk,
- regenerate ac/am is back and added missing regenerate lt files.

Revision 1.7  2002/07/08 19:01:31  qboosh
- updated to 0.5.3, added locale file(s)
- rebuilding ac/am no longer necessary

Revision 1.6  2002/06/16 15:03:08  qboosh
- new %%doc

Revision 1.5  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/04/09 01:57:31  kloczek
- full regenerate ac/am/lt files and some minor changes.

Revision 1.3  2002/04/07 12:12:02  mkochano
- Release 3.
- Added ldconf to post/postun.

Revision 1.2  2002/04/07 11:32:09  mkochano
- Release 2.
- *.h files moved to -devel subpackage from -static.

Revision 1.1  2002/04/07 11:15:37  mkochano
- Release 1.
- Version 0.5.0.
- Based on template.spec.
